body, h1, h2, h3, h4, h5, h6 {
    /* font-family: "Lato", sans-serif */
    font-family: 'Roboto';
}

.w3-bar, h1, button {
    font-family: "Roboto";
}

.fa-anchor, .fa-coffee {
    font-size: 200px;
}

.bimer {
    color: #fff;
    background-color: #165091;
}

.texto-bimer {
    color: #165091;
}

.display-flex {
    display: flex;
    justify-content: space-between;
}

.justify-content-space-between {
    justify-content: space-between;
}

.justify-content-center {
    justify-content: center;
}

.flex-grow-1 {
    flex-grow: 1;
}

.padding-50 {
    padding: 50px;
}

.padding-bottom-0 {
    padding-bottom: 0px;
}

.min-height-90vh {
    min-height: 90vh;
}

.margin-top-16px {
    margin-top: 16px;
}

.text-align-center {
    text-align: center;
}

.logo-bimer-api {
    max-width: 179px;
    padding: 5px 15px;
}

.menu-configuracao {
    font-size: 13px;
}

.w3-bar-item.item-do-menu, .item-do-menu {
    height: fit-content;
    padding: 16px 24px;
}

.display-none {
    display: none;
}

.w3-button.item-do-menu:hover {
    background-color: #247daa !important;
    color: #fff !important;
    text-decoration: none;
}

.margin-bottom-115px {
    margin-bottom: 115px;
}

.float-right {
    float: right;
}

button.bimer {
    border-radius: 5px;
}

.login.bimer {
    border-radius: 0px 5px 5px 0px;
    position: fixed;
    padding-bottom: 12px;
}

.login.senha {
    width: 90%;
    border-radius: 5px 0px 0px 5px;
}

.login.nome {
    border-radius: 5px;
}

.width-100-porcento {
    width: 100%;
}

.row {
    display: flex;
    padding: 25px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .12), 0 1px 5px 0 rgba(0, 0, 0, .2);
    margin-top: 20px;
    min-height: 77vh;
}

.menus-de-configuracao {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    border-radius: 5px;
}

.aba-item-de-configuracao {
    display: flex;
    flex-grow: 6;
    width: 60%;
    margin-left: 22px;
}

.aba-item-de-configuracao .item-de-configuracao {
    display: none;
}

.menus-de-configuracao button {
    margin-top: 0px;
}

.bimer.secundario {
    background-color: transparent;
    color: #165091;
    text-transform: initial;
    border-radius: 2px;
    border: 1px solid #e6e6e6;
    font-size: 13px;
    text-align: left;
}

.bimer.secundario:hover {
    background-color: #cad4d9;
}

.bimer.secundario:focus {
    background-color: #165091;
    color: #fff;
}

.configuracao.geracao-de-senha-hash {
    margin-bottom: 30px;
}

.configuracao.solicitacao-auxilio.botao-enviar, .configuracao.solicitacao-auxilio.area-de-texto {
    width: 100%;
    margin-bottom: 0px;
}

.configuracao.solicitacao-auxilio, .configuracao.connection-string {
    width: 43%;
    margin-right: 60px;
    margin-bottom: 30px;
}

.configuracao.solicitacao-auxilio:first-child {
    width: 35%;
}

.configuracao.solicitacao-auxilio.email-solicitacao-auxilio {
    width: 50%;
}

.configuracao textarea, .configuracao input[type=text], .configuracao input[type=password] {
    margin: 0;
    border: none;
    border-bottom: 1px solid #ccc;
}

.configuracao label {
    float: left;
}

.gravar-configuracao {
    flex-grow: 2;
}

.gravar-configuracao button {
    float: right;
}

.form-conf-solicitacao-auxilio, .form-conf-geracao-de-senha-hash, .form-conf-connection-string {
    display: flex;
    flex-wrap: wrap;
}

.gravar-aplicativo-owin .bimer {
    margin-top: 19px;
    border-bottom-left-radius: 0px;
}

#spanCadastrarAplicativo {
    max-width: 355px;
}

#spanAgrupadorDeAplicativosOwin {
    display: flex;
    flex-wrap: wrap;
    margin: 0px 16px;
}

.resultado-senha-md5, .item-aplicativo-cadastrado {
    border-radius: 30px;
    margin: 16px;
    padding: 16px;
    background-color: #dce6ec;
    color: #165091;
}

#spanApresentacaoResultadoSenhaGerada span {
    text-align: start;
    font-weight: bold;
    width: fit-content;
}

span#spanResultadoSenhaGerada {
    font-weight: normal;
}

.botao-exibir-senha {
    float: right;
    margin-top: -20px;
    margin-right: -13px;
}

.width-inherit {
    width: inherit;
}

#spanSolicitarAuxilio span p {
    margin: 1px;
    font-size: small;
}

#campoDescricaoTelaAuxilio{
    resize: vertical;
}

/*******************************************************************/

/* login */

/* Full-width input fields */

textarea, input[type=text], input[type=password] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

textarea:focus, input[type=text]:focus, input[type=password]:focus {
    outline: inherit;
}

/* Set a style for all buttons */

button {
    background-color: #165091;
    color: white;
    padding: 14px 19px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    /* width: 100%; */
}

button:hover {
    opacity: 0.8;
}

button:focus {
    outline: inherit;
}

/* Extra styles for the cancel button */

.cancelbtn {
    width: auto;
    padding: 10px 18px;
    background-color: #f44336;
}

/* Center the image and position the close button */

.imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
    position: relative;
}

img.avatar {
    width: 40%;
    /* border-radius: 50%; */
}

.container {
    padding: 16px;
}

span.psw {
    float: right;
    padding-top: 16px;
}

/* The Modal (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
    padding-top: 60px;
}

/* Modal Content/Box */

.modal-content {
    background-color: #fefefe;
    margin: auto auto auto auto;
    border: 1px solid #888;
    width: 26%;
    border-radius: 6px;
}

/* The Close Button (x) */

.close {
    position: absolute;
    right: 25px;
    top: 0;
    color: #000;
    font-size: 35px;
    font-weight: bold;
}

.close:hover, .close:focus {
    color: red;
    cursor: pointer;
}

/* Add Zoom Animation */

.animate {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s;
}

.mensagem-erro {
    float: left;
    width: 100%;
    max-width: 271px;
    color: #C64A48;
    margin: 0 0 20px;
    font-size: 12px;
    font-family: Roboto, sans-serif;
    padding: 0;
}

@-webkit-keyframes animatezoom {
    from {
        -webkit-transform: scale(0);
    }
    to {
        -webkit-transform: scale(1);
    }
}

@keyframes animatezoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

/* Change styles for span and cancel button on extra small screens */

@media screen and (max-width: 300px) {
    span.psw {
        display: block;
        float: none;
    }
    .cancelbtn {
        width: 100%;
    }
}

/* fim login */

.modal-content.modal-informacao {
    /* min-height: 200px; */
    padding: 16px;
    min-width: 375px;
}

.modal-content .modal-body {
    margin: 16px 0px;
}

.modal-content .modal-footer {
    display: flex;
    justify-content: flex-end;
}

.cards-tela-home.display-flex {
    /* background-color: red; */
    height: 100%;
    width: 100%;
    flex-wrap: wrap;
    padding: 0px 32px;
    justify-content: space-around;
}

.card-tela-home {
    background-color: #dce6ec;
    /*cor terciária do Bimer no HIG*/
    width: 300px;
    height: 150px;
    margin: 16px 0px;
    border-radius: 6px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .12), 0 1px 5px 0 rgba(0, 0, 0, .2);
}

.row.flex-wrap {
    flex-wrap: wrap;
}

p.nota-de-rodape {
    font-size: small;
}